Bug 962581 - Review Request: arm-boot-config - ARM boot configuration generator for uboot
Review Request: arm-boot-config - ARM boot configuration generator for uboot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 20:21 EDT by Brendan Conoboy
Modified: 2013-05-18 05:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-18 05:09:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Conoboy 2013-05-13 20:21:22 EDT
Spec URL: http://people.fedoraproject.org/~blc/fedora-arm/arm-boot-config/arm-boot-config.spec
SRPM URL: http://people.fedoraproject.org/~blc/fedora-arm/arm-boot-config/arm-boot-config-0.42-1.fc19.src.rpm
Description: The arm-boot-config package provides a a dynamically generated menu system for u-boot based devices.  Once installed it creates a new boot.scr allowing the user to easily load any kernel and dtb combination installed on the system.
Fedora Account System Username: blc

Also hosted at https://git.fedorahosted.org/git/arm-boot-config.git
Comment 1 Dennis Gilmore 2013-05-13 20:34:13 EDT
I will review this
Comment 2 Dennis Gilmore 2013-05-14 08:57:17 EDT
i did a scratch build at http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1809970

rpmlint Descargas/arm-boot-config-0.42-1.fc19.*
arm-boot-config.armv7hl: W: incoherent-version-in-changelog 0.40 ['0.42-1.fc19', '0.42-1']
arm-boot-config.armv7hl: E: no-binary
arm-boot-config.armv7hl: W: no-documentation
arm-boot-config.armv7hl: E: executable-marked-as-config-file /etc/a-b-c.d/15-defaults
arm-boot-config.armv7hl: E: executable-marked-as-config-file /etc/a-b-c.d/20-armadaxp
arm-boot-config.armv7hl: E: executable-marked-as-config-file /etc/a-b-c.d/20-calxeda
arm-boot-config.armv7hl: E: executable-marked-as-config-file /etc/a-b-c.d/20-tegra
arm-boot-config.armv7hl: E: executable-marked-as-config-file /etc/a-b-c.d/95-genmen
arm-boot-config.armv7hl: E: executable-marked-as-config-file /etc/a-b-c.d/90-complete
arm-boot-config.armv7hl: E: executable-marked-as-config-file /etc/a-b-c.d/99-autoboot
arm-boot-config.armv7hl: E: executable-marked-as-config-file /etc/a-b-c.d/20-arndale
arm-boot-config.armv7hl: E: executable-marked-as-config-file /etc/a-b-c.d/20-allwinner
arm-boot-config.armv7hl: E: executable-marked-as-config-file /etc/a-b-c.d/20-ti-board
arm-boot-config.armv7hl: E: executable-marked-as-config-file /etc/a-b-c.d/25-postscan-results
arm-boot-config.armv7hl: W: no-manual-page-for-binary a-b-c
arm-boot-config.armv7hl: W: one-line-command-in-%post /sbin/a-b-c
arm-boot-config.src: W: invalid-url Source0: arm-boot-config-0.42.tar.bz2
2 packages and 0 specfiles checked; 12 errors, 5 warnings.

you should change the %post section to be "%post -p /usr/sbin/a-b-c"

changelog version doesnt match the package version

you should remove the shebangs from the files in /etc/a-b-c.d/ so they dont get marked as executable
Comment 4 Dennis Gilmore 2013-05-14 10:05:43 EDT
 rpmlint arm-boot-config-0.43-1.fc19.armv7hl.rpm
arm-boot-config.armv7hl: E: no-binary
arm-boot-config.armv7hl: W: no-manual-page-for-binary a-b-c
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

since the package is architecture specific we can ignore the no-binary error.

approved
Comment 5 Brendan Conoboy 2013-05-14 17:24:53 EDT
New Package SCM Request
=======================
Package Name: arm-boot-config
Short Description: ARM boot configuration engine.
Owners: blc
Branches: f19
InitialCC: dgilmore
Comment 6 Dennis Gilmore 2013-05-15 07:29:45 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.